package no.valg.valgnatt.database.hibernate;

import static org.junit.Assert.assertEquals;

import no.valg.valgnatt.database.Konstanter;
import no.valg.valgnatt.database.domene.ValgType;

import org.junit.Test;

public class StemmeskjemaTest {

    @Test
    public void erKommunestyrevalgForOslo_OsloKO_isTrue() throws Exception {
        Stemmeskjema stemmeskjema = new Stemmeskjema();
        stemmeskjema.setValgType(ValgType.KO);
        stemmeskjema.setKommnr(Konstanter.OSLO_KNR);
        assertEquals(true, stemmeskjema.erKommunestyrevalgForOslo());
    }

    @Test
    public void erKommunestyrevalgForOslo_OsloFY_isFalse() throws Exception {
        Stemmeskjema stemmeskjema = new Stemmeskjema();
        stemmeskjema.setValgType(ValgType.FY);
        stemmeskjema.setKommnr(Konstanter.OSLO_FNR);
        assertEquals(false, stemmeskjema.erKommunestyrevalgForOslo());
    }

    @Test
    public void erKommunestyrevalgForOslo_StavangerKO_isFalse() throws Exception {
        Stemmeskjema stemmeskjema = new Stemmeskjema();
        stemmeskjema.setValgType(ValgType.KO);
        stemmeskjema.setKommnr(Konstanter.STAVANGER_KNR);
        assertEquals(false, stemmeskjema.erKommunestyrevalgForOslo());
    }

}